Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qdml2qjml
Class QDML2QJML.SubQdml2Qjml

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
            |
            +--com.jxml.quick.ocm.OCMcontextSupport.SubContextSupport
                  |
                  +--com.jxml.quick.util.qdml2qjml.QDML2QJML.SubQdml2Qjml

All Implemented Interfaces:
  OCMbase.SubBase, OCMcontext, OCMsink.SubSink, OCMsource.SubSource

Enclosing class:
  QDML2QJML

public class QDML2QJML.SubQdml2Qjml
extends OCMcontextSupport.SubContextSupport

Field Summary
`ArrayList` | `coins`
`String` | `currentCoinLabel`
`String` | `pckg`
`int` | `pID`
`int` | `pos`

Fields inherited from class com.jxml.quick.ocm.OCMcontextSupport.SubContextSupport
`dataModelRoot, destination, outputDoc, peers, rootPeer, sb`

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`cl, docName, inputDoc, properties, subSource, subValidator`

Constructor Summary
`QDML2QJML.SubQdml2Qjml(HashMap prior)`

Method Summary
`Object` | `dataModelRoot(QDoc inputDoc)`
`String` | `labelToProperty(String label)`
`void` | `setProperties(Map properties)` Sets the config properties
`String` | `tagToClass(String tag)`

Methods inherited from class com.jxml.quick.ocm.OCMcontextSupport.SubContextSupport
`express, express, getClassLoader, getDestination, getDoc, getInputDoc, getPUBLIC, getRootTag, getSchemaDoc, getStringBuffer, getSYSTEM, peer, rootPeer, setClassLoader, setDestination, setStringBuffer`

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`expressFile, getInputSchemaDoc, getProperties, getSubSource, setDocName, setInputDocName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMcontext
`getInputSchemaDoc, getProperties`

Methods inherited from interface com.jxml.quick.ocm.OCMsource.SubSource
`setInputDocName`

Field Detail

### pckg

    public String pckg

### pID

    public int pID

### currentCoinLabel

    public String currentCoinLabel

### pos

    public int pos

### coins

    public ArrayList coins

Constructor Detail

### QDML2QJML.SubQdml2Qjml

    public QDML2QJML.SubQdml2Qjml(HashMap prior)

Method Detail

### dataModelRoot

    public Object dataModelRoot(QDoc inputDoc)

  Overrides:
    `dataModelRoot` in class `OCMcontextSupport.SubContextSupport`

### tagToClass

    public String tagToClass(String tag)

### labelToProperty

    public String labelToProperty(String label)

### setProperties

    public void setProperties(Map properties)

  Sets the config properties
  Overrides:
    `setProperties` in class `OCMsinkSupport.SubSinkSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD